# opentl::detector::PeopleDetector Class Reference

Inherits opentl::detector::Detector.

List of all members.

## Classes
struct | Param
| Parameters for detection. More...
## Public Types
typedef std::pair< int, int > | E
typedef boost::graph_traits < Graph >::edge_descriptor | Edge
typedef boost::graph_traits < GraphMST >::edge_descriptor | EdgeMST
typedef boost::adjacency_list < boost::vecS, boost::vecS, boost::undirectedS, boost::no_property, boost::property < boost::edge_weight_t, float > > | Graph
typedef boost::adjacency_list < boost::vecS, boost::vecS, boost::undirectedS > | GraphMST
typedef boost::graph_traits < GraphMST > ::vertices_size_type | size_type
typedef boost::graph_traits < Graph >::vertex_descriptor | Vertex
## Public Member Functions
virtual void | detect (const std::vector< opentl::core::cvdata::Image * > inputImages, const TargetPtrVector &oldTargets, TargetPtrVector &newTargets)
| Detect new targets, eventually taking care of existing targets (to avoid detecting them again).
unsigned int | getCameraId ()
| Return camera Id of this detector (it is supposed to work with one camera only!).
virtual void | init ()
virtual void | lossDetect (TargetPtrVector &targets)
| PeopleDetector (opentl::modelprojection::Warp &warp, int camIdx, ObjModelPtrVector &objectModels, PeopleDetector::Param *param=0)
| constructor
virtual | ~PeopleDetector ()
| destructor
## Public Attributes
std::vector< int > | mComponents

## Member Typedef Documentation

typedef std::pair<int, int> opentl::detector::PeopleDetector::E

typedef boost::graph_traits< Graph >::edge_descriptor opentl::detector::PeopleDetector::Edge

typedef boost::graph_traits<GraphMST>::edge_descriptor opentl::detector::PeopleDetector::EdgeMST

typedef boost::adjacency_list<boost::vecS, boost::vecS, boost::undirectedS, boost::no_property, boost::property <boost::edge_weight_t, float> > opentl::detector::PeopleDetector::Graph

typedef boost::adjacency_list<boost::vecS, boost::vecS, boost::undirectedS> opentl::detector::PeopleDetector::GraphMST

typedef boost::graph_traits<GraphMST>::vertices_size_type opentl::detector::PeopleDetector::size_type

typedef boost::graph_traits< Graph >::vertex_descriptor opentl::detector::PeopleDetector::Vertex

## Constructor & Destructor Documentation

opentl::detector::PeopleDetector::PeopleDetector | ( | opentl::modelprojection::Warp & | warp,
|  | int | camIdx,
|  | ObjModelPtrVector & | objectModels,
|  | PeopleDetector::Param * | param = `0` |
| ) |  |  |

constructor

virtual opentl::detector::PeopleDetector::~PeopleDetector | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual void opentl::detector::PeopleDetector::detect | ( | const std::vector< opentl::core::cvdata::Image * > | inputImages,
|  | const TargetPtrVector & | oldTargets,
|  | TargetPtrVector & | newTargets |
| ) |  |  | `[virtual]`

Detect new targets, eventually taking care of existing targets (to avoid detecting them again).

Implements opentl::detector::Detector.

unsigned int opentl::detector::PeopleDetector::getCameraId | ( |  | ) |

Return camera Id of this detector (it is supposed to work with one camera only!).

virtual void opentl::detector::PeopleDetector::init | ( |  | ) | `[virtual]`

Implements opentl::core::util::ParameterContainer.

virtual void opentl::detector::PeopleDetector::lossDetect | ( | TargetPtrVector & | targets | ) | `[virtual]`

## Member Data Documentation

std::vector<int> opentl::detector::PeopleDetector::mComponents